% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc_and_utility.R
\name{print.oddsratio}
\alias{print.oddsratio}
\title{Print a scale "oddsratio" object}
\usage{
\method{print}{oddsratio}(x, digits = 3, ...)
}
\arguments{
\item{x}{A \code{\link[umx:oddsratio]{umx::oddsratio()}} result.}

\item{digits}{The rounding precision.}

\item{...}{further arguments passed to or from other methods.}
}
\value{
\itemize{
\item invisible oddsratio object (x).
}
}
\description{
Print method for the \code{\link[umx:oddsratio]{umx::oddsratio()}} function.
}
\examples{
oddsratio(grp1 = c(1, 10), grp2 = c(3, 10))
oddsratio(grp1 = c(3, 10), grp2 = c(1, 10))
oddsratio(grp1 = c(3, 10), grp2 = c(1, 10), alpha = .01)
}
\seealso{
\itemize{
\item \code{\link[=print]{print()}}, \code{\link[umx:oddsratio]{umx::oddsratio()}},
}

Other Miscellaneous Stats Helpers: \code{\link{SE_from_p}()},
  \code{\link{oddsratio}()},
  \code{\link{print.reliability}()},
  \code{\link{reliability}()}, \code{\link{umxCov2cor}()},
  \code{\link{umxHetCor}()}, \code{\link{umx_apply}()},
  \code{\link{umx_cor}()}, \code{\link{umx_fun_mean_sd}()},
  \code{\link{umx_means}()}, \code{\link{umx_r_test}()},
  \code{\link{umx_round}()}, \code{\link{umx_scale}()},
  \code{\link{umx_var}()}, \code{\link{umx}}
}
\concept{Miscellaneous Stats Helpers}
