% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc_and_utility.R
\name{print.reliability}
\alias{print.reliability}
\title{Print a scale "reliability" object}
\usage{
\method{print}{reliability}(x, digits = 4, ...)
}
\arguments{
\item{x}{A \code{\link[umx:reliability]{umx::reliability()}} result.}

\item{digits}{The rounding precision.}

\item{...}{further arguments passed to or from other methods}
}
\value{
\itemize{
\item invisible reliability object (x)
}
}
\description{
Print method for the \code{\link[umx:reliability]{umx::reliability()}} function.
}
\examples{
# treat vehicle aspects as items of a test
data(mtcars)
reliability(cov(mtcars))
}
\seealso{
\itemize{
\item \code{\link[=print]{print()}}, \code{\link[umx:reliability]{umx::reliability()}},
}

Other Miscellaneous Stats Helpers: \code{\link{SE_from_p}()},
  \code{\link{oddsratio}()},
  \code{\link{print.oddsratio}()},
  \code{\link{reliability}()}, \code{\link{umxCov2cor}()},
  \code{\link{umxHetCor}()}, \code{\link{umx_apply}()},
  \code{\link{umx_cor}()}, \code{\link{umx_fun_mean_sd}()},
  \code{\link{umx_means}()}, \code{\link{umx_r_test}()},
  \code{\link{umx_round}()}, \code{\link{umx_scale}()},
  \code{\link{umx_var}()}, \code{\link{umx}}
}
\concept{Miscellaneous Stats Helpers}
